Skip to content

List the 25 most recent emails sent to the intake address (ADMIN+)

GET
/organizations/current/inbound-emails
curl --request GET \
--url https://api.invogi.com/v1/organizations/current/inbound-emails \
--header 'Authorization: Bearer <token>'

Recent intake emails, newest first

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
receivedAt
required
string format: date-time
from
required
string
subject
required
string | null
outcome
required
string
Allowed values: ACCEPTED REJECTED FORWARDING_VERIFICATION
reason
required

Plain-language refusal reason when outcome is REJECTED.

string | null
attachmentCount
required

Attachments accepted for analysis.

integer
analyzedCount
required

How many of them have produced an invoice so far.

integer
verificationCode
required

Gmail forwarding confirmation code

string | null

Example

{
"items": [
{
"outcome": "ACCEPTED"
}
]
}

Missing or invalid API key

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: NOT_FOUND UNAUTHORIZED FORBIDDEN INVALID_REQUEST CONFLICT RATE_LIMITED USAGE_LIMIT_EXCEEDED PROCESSING_FAILED
message
required
string
request_id
required
string

Example

{
"error": {
"code": "NOT_FOUND"
}
}

API key lacks required scope/role

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: NOT_FOUND UNAUTHORIZED FORBIDDEN INVALID_REQUEST CONFLICT RATE_LIMITED USAGE_LIMIT_EXCEEDED PROCESSING_FAILED
message
required
string
request_id
required
string

Example

{
"error": {
"code": "NOT_FOUND"
}
}